uri_template_r 0.6.2

  • README.md
  • Installing
  • Versions
  • 40

UriTemplate Reborn

UriTemplate Reborn is an implementation of RFC 6570, URI Template.

This version is a fork of Dart Team's uri_template, just try to port String mode in Dart 2.

There is a FormatException while testing, but the library just works, i am lazy to fix it.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  uri_template_r: ^0.6.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:uri_template_r/uri_parser.dart';
import 'package:uri_template_r/uri_template.dart';
  
Version Uploaded Documentation Archive
0.6.2 Aug 20, 2018 Go to the documentation of uri_template_r 0.6.2 Download uri_template_r 0.6.2 archive
0.6.1 Aug 20, 2018 Go to the documentation of uri_template_r 0.6.1 Download uri_template_r 0.6.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
50
Overall:
Weighted score of the above. [more]
40
Learn more about scoring.

We analyzed this package on Nov 14, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0
  • pana: 0.12.6

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in libraries.

Health suggestions

Format lib/src/encoding.dart.

Run dartfmt to format lib/src/encoding.dart.

Format lib/src/utils.dart.

Run dartfmt to format lib/src/utils.dart.

Format lib/uri_parser.dart.

Run dartfmt to format lib/uri_parser.dart.

Format lib/uri_template.dart.

Run dartfmt to format lib/uri_template.dart.

Maintenance issues and suggestions

Maintain CHANGELOG.md. (-20 points)

Changelog entries help clients to follow the progress in your code.

The description is too short. (-20 points)

Add more detail about the package, what it does and what is its target use case. Try to write at least 60 characters.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use uri_template_r.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.8.0 <3.0.0
quiver ^2.0.0 2.0.1
utf ^0.9.0 0.9.0+5
Transitive dependencies
matcher 0.12.4
meta 1.1.6
path 1.6.2
stack_trace 1.9.3
Dev dependencies
test any